org.eclipse.wst.jsdt.chromium.debug.core

## Class VProjectSourceContainer

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.VProjectSourceContainer

    public class VProjectSourceContainer
    extends java.lang.Object

A source container implementation that wraps V8 virtual project. Currently virtual project has a flat file structure, so the container is accordingly one-level.

Unlike other implementation of `ISourceContainer` this class initially gets instantiated with no data. In this state it serves as an empty container because actual VM scripts are not available yet. Launch configuration UI will use it in this state more as a symbolic place-holder in sources tab. Later when VM is connected, method `init(ISourceLookupDirector)` will be called and the actual content will be set.

### Nested Class Summary

Nested Classes
`static class` `VProjectSourceContainer.LookupResult` Result that `findSourceElements(String)` returns instead of IFile that other containers normally return.
`static class` `VProjectSourceContainer.TypeDelegate` A type delegate that implements a trivial memento.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`VmResourceId` `findScriptId(IFile resource)`
`java.lang.Object[]` `findSourceElements(java.lang.String name)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.String` `getName()`
`ISourceContainer[]` `getSourceContainers()`
`ISourceContainerType` `getType()`
`void` `init(ISourceLookupDirector director)`
`boolean` `isComposite()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### init

    public void init(ISourceLookupDirector director)

#### dispose

    public void dispose()

#### findSourceElements

    public java.lang.Object[] findSourceElements(java.lang.String name)

#### getName

    public java.lang.String getName()

#### getSourceContainers

    public ISourceContainer[] getSourceContainers()

#### getType

    public ISourceContainerType getType()

#### isComposite

    public boolean isComposite()

#### findScriptId

    public VmResourceId findScriptId(IFile resource)

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)